/* -*- C++ -*-
 *
 * @file RtcInPortBase.cpp
 * @brief Input channel base class
 * @date $Date$
 *
 * Copyright (c) 2003 Noriaki Ando <n-ando@aist.go.jp>
 *          National Institute of Industrial Science (AIST), Japan. All rights reserved.
 *
 * $Id$
 */

#include "rtm/RtcInPortBase.h"

namespace RTM
{

  //============================================================
  // CORBA interface
  //============================================================
  PortProfile* InPortBase::profile()
	throw (CORBA::SystemException)
  {
	PortProfile_var profile = new PortProfile(m_Profile);

	return profile._retn();
  }

};

