
#ifndef __RTC_SIGNAL_H__
#define __RTC_SIGNAL_H__

#include <signal.h>

typedef void  (*RTC_SignalHandler)(int);

class RTC_Sig_Action{
 RTC_SignalHandler _handle;
 sigset_t *_mask;
 int _flags;
 int _signum;
 
public:
  RTC_Sig_Action();
  RTC_Sig_Action(RTC_SignalHandler handle, int signum,
		  sigset_t *mask = 0, int flags=0);
  ~RTC_Sig_Action();

};

#endif
