/*
 *  These functions using uuid library
 *  See 'http://e2fsprogs.sourceforge.net/'
 *
 */
#include "Rtc_UUID.h"

UUID_Generator::UUID_Generator(){}

void UUID_Generator::init(){}
UUID* UUID_Generator::generateUUID(int varsion, int variant){
  uuid_t uuid;

  uuid_generate(uuid);
  return new UUID(&uuid);
}

UUID::UUID(){
  uuid_clear(this->_uuid);
}

UUID::UUID(uuid_t *uuid){
  strcpy((char *)this->_uuid, (char *)(*uuid));
}

std::string* UUID::to_string(){
  char buf[37];
  uuid_unparse(this->_uuid, buf);
  return new std::string(buf);
}
