/*
 * UUID Utility
 *
 *
 */
#ifndef __RTC_UUID_H__
#define __RTC_UUID_H__
#include <string>
#include <uuid/uuid.h>

class UUID{
  uuid_t _uuid;
public:
  UUID();
  UUID(uuid_t*);
  std::string* to_string();
};

class UUID_Generator{
public:
  UUID_Generator();

  void init();
  UUID* generateUUID(int n, int h);
};

#endif
